package organizationdb

import (
	"context"

	"github.com/tech/sendico/pkg/merrors"
	"github.com/tech/sendico/pkg/model"
	"go.mongodb.org/mongo-driver/v2/bson"
)

func (db *OrganizationDB) Create(ctx context.Context, _, _ bson.ObjectID, org *model.Organization) error {
	if org == nil {
		return merrors.InvalidArgument("Organization object is nil", "organization")
	}
	org.SetID(bson.NewObjectID())
	// Organizaiton reference must be set to the same value as own organization reference
	org.SetOrganizationRef(*org.GetID())
	return db.DBImp.Create(ctx, org)
}
